snd_pcm_capture_ready
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_capture_ready — check whether the capture buffer is available

## Synopsis

`int snd_pcm_capture_ready (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

Checks whether enough capture data is available on the capture buffer.

Returns non-zero if available, or zero if not.

Prev | Up | Next
snd_pcm_playback_ready | Home | snd_pcm_playback_data